package com.company.unfetchedattribute2.entity

import io.jmix.core.entity.annotation.JmixGeneratedValue
import io.jmix.core.metamodel.annotation.InstanceName
import io.jmix.core.metamodel.annotation.JmixEntity
import java.util.*
import javax.persistence.*

@JmixEntity
@Table(name = "COMPANY", indexes = [
    Index(name = "IDX_COMPANY", columnList = "DEFAULT_TAX_DATA_ID")
])
@Entity(name = "Company")
open class Company {
    @JmixGeneratedValue
    @Column(name = "ID", nullable = false)
    @Id
    var id: UUID? = null

    @InstanceName
    @Column(name = "NAME")
    var name: String? = null

    @JoinColumn(name = "DEFAULT_TAX_DATA_ID")
    @ManyToOne(fetch = FetchType.LAZY)
    var defaultTaxData: TaxData? = null
}