package com.company.unfetchedattribute2.entity

import io.jmix.core.entity.annotation.JmixGeneratedValue
import io.jmix.core.metamodel.annotation.Composition
import io.jmix.core.metamodel.annotation.InstanceName
import io.jmix.core.metamodel.annotation.JmixEntity
import java.util.*
import javax.persistence.*

@JmixEntity
@Table(name = "INVOICE")
@Entity(name = "Invoice")
open class Invoice {
    @JmixGeneratedValue
    @Column(name = "ID", nullable = false)
    @Id
    var id: UUID? = null

    @InstanceName
    @Column(name = "NAME")
    var name: String? = null

    @Composition
    @OneToMany(mappedBy = "invoice")
    var entries: MutableList<InvoiceEntry> = mutableListOf()

    @JoinColumn(name = "COMPANY_ID")
    var company: Company? = null
}