package com.company.unfetchedattribute2.entity

import io.jmix.core.entity.annotation.JmixGeneratedValue
import io.jmix.core.metamodel.annotation.InstanceName
import io.jmix.core.metamodel.annotation.JmixEntity
import java.util.*
import javax.persistence.*

@JmixEntity
@Table(name = "INVOICE_ENTRY", indexes = [
    Index(name = "IDX_INVOICEENTRY_TAX_DATA_ID", columnList = "TAX_DATA_ID")
])
@Entity(name = "InvoiceEntry")
open class InvoiceEntry {
    @JmixGeneratedValue
    @Column(name = "ID", nullable = false)
    @Id
    var id: UUID? = null

    @InstanceName
    @Column(name = "NAME")
    var name: String? = null

    @JoinColumn(name = "TAX_DATA_ID")
    @ManyToOne(fetch = FetchType.LAZY)
    var taxData: TaxData? = null

    @JoinColumn(name = "INVOICE_ID")
    @ManyToOne(fetch = FetchType.LAZY)
    var invoice: Invoice? = null
}