package com.company.unfetchedattribute2.screen.company

import io.jmix.ui.screen.*
import com.company.unfetchedattribute2.entity.Company
import io.jmix.ui.model.CollectionLoader
import org.springframework.beans.factory.annotation.Autowired

@UiController("Company-parent.browse")
@UiDescriptor("company-browse.xml")
@LookupComponent("companiesTable")
open class CompanyBrowse : StandardLookup<Company>() {
    @Autowired
    private lateinit var companiesDl: CollectionLoader<Company>

    @Subscribe
    private fun onInit(event: InitEvent) {
        companiesDl.setParameter("name", "%")
    }


}